<?php

class Migration_20250325123006_ftp_server_for_camera_playback
{
    public static function up(PDO $pdo)
    {
        $sql = "
            ALTER TABLE `live_camera_streaming_data`
            ADD COLUMN `camera_ftp_folder` VARCHAR(56) NOT NULL,
            ADD COLUMN `ftp_host` VARCHAR(56) NOT NULL,
            ADD COLUMN `ftp_user` VARCHAR(56) NOT NULL,
            ADD COLUMN `ftp_password` VARCHAR(56) NOT NULL,
            ADD COLUMN `ftp_port` VARCHAR(56) NULL;
        ";

        $pdo->exec($sql);
    }

    public static function down(PDO $pdo)
    {
        // Rollback code here
    }
}